fstat
ftruncate
Filesystem Functions
PHP Manual

# ftell

(PHP 4, PHP 5, PHP 7)

ftell — Returns the current position of the file read/write pointer

### Description

int ftell ( resource `$handle` )

Returns the position of the file pointer referenced by `handle`.

### Parameters

`handle`

  The file pointer must be valid, and must point to a file successfully opened by fopen() or popen(). ftell() gives undefined results for append-only streams (opened with "a" flag).

### Return Values

Returns the position of the file pointer referenced by `handle` as an integer; i.e., its offset into the file stream.

If an error occurs, returns `FALSE`.

> Note: Because PHP's integer type is signed and many platforms use 32bit integers, some filesystem functions may return unexpected results for files which are larger than 2GB.

### Examples

Example #1 ftell() example

`<?php
// opens a file and read some data
$fp = fopen("/etc/passwd", "r");
$data = fgets($fp, 12);
// where are we ?
echo ftell($fp); // 11
fclose($fp);
?>`

### See Also

- fopen() - Opens file or URL
- popen() - Opens process file pointer
- fseek() - Seeks on a file pointer
- rewind() - Rewind the position of a file pointer

fstat
ftruncate
Filesystem Functions
PHP Manual